{ config, pkgs, ... }:

{
    home.packages = with pkgs; [
        fzf
        fzy
        zoxide
        curl
        zsh-powerlevel10k
        zsh-autocomplete
    ];

    home.file = {
        ".zshrc".source = ./files/zshrc;
        ".config/zsh/.p10k.zsh".source = ./files/p10k.zsh;
    }

    programs.zsh = {
        enable = true;
        enableCompletion = true;
        syntaxHighlighting.enable = true;
        autosuggestion.enable = true;

        shellAliases = {
            ll = "ls -lhat";
        };
        history.size = 10000;
        history.path = "${config.xdg.dataHome}/zsh/history";
    };
}
